services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false
  WebitDe\DrbeckmannHreflangmanager\:
    resource: '../Classes/*'

  WebitDe\DrbeckmannHreflangmanager\Controller\HreflangController:
    arguments:
      $moduleTemplateFactory: '@TYPO3\CMS\Backend\Template\ModuleTemplateFactory'
      $hrefLangService: '@WebitDe\DrbeckmannHreflangmanager\Service\HrefLangService'

  WebitDe\DrbeckmannHreflangmanager\Service\HrefLangService:
    public: true
    arguments:
      $siteFinder: '@TYPO3\CMS\Core\Site\SiteFinder'
      $hrefLangGroupRepository: '@WebitDe\DrbeckmannHreflangmanager\Domain\Repository\HreflangGroupRepository'
      $hrefLangEntryRepository: '@WebitDe\DrbeckmannHreflangmanager\Domain\Repository\HreflangEntryRepository'

  WebitDe\DrbeckmannHreflangmanager\Frontend\EventListener\HreflangListener:
    tags:
      - name: event.listener
        identifier: 'drbeckmann-hreflangmanager/hreflang-tags'
        after: 'typo3-seo/hreflangGenerator'

  WebitDe\DrbeckmannHreflangmanager\Seo\EventListener\ModifyCanonicalLinkListener:
    tags:
      - name: event.listener
        identifier: 'drbeckmann-hreflangmanager/modify-canonical-links'
        after: 'typo3-seo/hreflangGenerator'
